Bug 84703 - doesn't see network card during install - phoebe 3
doesn't see network card during install - phoebe 3
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McLean
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-20 13:33 EST by keith adamson
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description keith adamson 2003-02-20 13:33:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
doesn't see D-Link System Inc RTL8139 Ethernet card during install

$ /sbin/lspci
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:04.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:04.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:0a.0 Ethernet controller: D-Link System Inc RTL8139 Ethernet (rev 10)
00:0b.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 74)
00:0d.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 07)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 05)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start install
2.only sees 3c905C-TX/TX-M not D-Link System Inc RTL8139
3.
    

Actual Results:  no entry in /etc/module.conf for RTL8139
"alias eth1 8139too"

no /etc/sysconfig/network-scripts/ifcfg-eth1 startup script


Expected Results:  be able to config the D-Link System Inc RTL8139 on install

Additional info:

Needed to run /usr/sbin/redhat-config-network-gui
and manually install ... BTW needed to select:

RealTek RTL-8139, SMC EZ Card

from the menu ... not very obvious.
Comment 1 Jeremy Katz 2003-02-20 14:38:51 EST
Can you provide `/sbin/lspci -n` as well?
Comment 2 keith adamson 2003-02-20 16:26:59 EST
# /sbin/lspci -n
00:00.0 Class 0600: 8086:7190 (rev 03)
00:01.0 Class 0604: 8086:7191 (rev 03)
00:04.0 Class 0601: 8086:7110 (rev 02)
00:04.1 Class 0101: 8086:7111 (rev 01)
00:04.2 Class 0c03: 8086:7112 (rev 01)
00:04.3 Class 0680: 8086:7113 (rev 02)
00:0a.0 Class 0200: 1186:1300 (rev 10)
00:0b.0 Class 0200: 10b7:9200 (rev 74)
00:0d.0 Class 0401: 1274:1371 (rev 07)
01:00.0 Class 0300: 102b:0525 (rev 05)
Comment 3 Jeremy Katz 2003-02-20 17:04:04 EST
Bill, do you have any ideas on why this wouldn't be found? 
Comment 4 Bill Nottingham 2003-02-20 17:11:17 EST
Nope. It's in the pcitable.
Comment 5 keith adamson 2003-02-20 19:22:42 EST
I had a previous redhat 8.0 installation on this box.  Anaconda detected this
but  I didn't do an upgrade.  I did a full reformat/install.  Does it care about
the ethernet setup of a previous installation at all?  
Comment 6 keith adamson 2003-02-20 19:23:52 EST
BTW it worked fine on redhat 8.0
Comment 7 Bill Nottingham 2003-02-20 19:24:26 EST
No.
Comment 8 Mike McLean 2003-03-13 18:58:55 EST
I do not have the exact hardware listed above, but I have similar hardware that
uses the same drivers.  I am so far unable to replicate this bug.

How did you boot the installer (e.g. bootdisk.img, boot.iso, cd), and what
installation method did you use (e.g. cd, nfs, ftp, http, hd)?

Did you use any driver disks, and if so which ones?
Comment 9 keith adamson 2003-03-14 12:02:13 EST
Just the phoebe 3 iso image.  Boot from CDROM.  I'm sure the media is ok (I've
used on a couple of other systems).



If you want some diagnosics I can give it another shot (when I boot the CDROM it
doesn't list this NIC).



BTW in the existing install this NIC is not brought up on boot as I use it for
testing purposes (I bring it up manually when I do testing).  That's why I asked
above if anaconda cares about the config of the existing install.
Comment 10 Jeremy Katz 2003-09-25 16:47:24 EDT
Is the final Red Hat Linux 9 / the current Severn beta any better?
Comment 11 Jeremy Katz 2003-10-15 21:02:28 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report

Note You need to log in before you can comment on or make changes to this bug.